//
//  PaddleViewController.m
//  Paddle
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates Core Graphics with a rectangle.
//

#import "PaddleView.h"
#import "PaddleViewController.h"

@implementation PaddleViewController

@synthesize paddleView=_paddleView;

- (void)dealloc
{
    [_paddleView release];
    [super dealloc];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationLandscapeRight);
}

- (void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event
{
    // follow user's finger vertically with paddle
	UITouch *touch = [[event allTouches] anyObject];
	CGPoint location = [touch locationInView:self.view];
	self.paddleView.center = CGPointMake(self.paddleView.center.x, location.y);
}

- (void)viewDidLoad
{    
    [super viewDidLoad];
    
    // add paddle
    self.paddleView = [[PaddleView alloc] initWithFrame:CGRectMake(10.0f, 10.0f, 10.0f, 60.0f)];
    [self.view addSubview:self.paddleView];
    [self.paddleView release];
}

- (void)viewDidUnload
{
    self.paddleView = nil;
}

@end
